--- /dev/null
+onak for Debian
+---------------
+
+Before using onak you will want to edit /etc/onak.conf and set 'this_site' as
+appropriate.
+
+The OpenPGP Key Server specification uses host:11371/pks/lookup etc as the URLs,
+so you will need to configure your web server as relevant.
+/usr/share/doc/onak/examples contains some sample configuration files for
+various web servers.
+
+ -- Ross Burton <ross@burtonini.com>, Fri Jun 18 12:00:57 2004
--- /dev/null
+Check stat-override and ownership logic is correct
+
+Remove the database on purge
+
+Remove onak user on purge
+
+Fix .depend
--- /dev/null
+onak (0.3.0-1) unstable; urgency=low
+
+ * Initial Release. (closes: #254425)
+
+ -- Ross Burton <ross@debian.org> Thu, 17 Jun 2004 11:59:00 +0100
+
--- /dev/null
+Source: onak
+Section: net
+Priority: optional
+Maintainer: Jonathan McDowell <noodles@earth.li>
+Uploaders: Ross Burton <ross@debian.org>
+Build-Depends: debhelper (>= 4.1.0), cdbs, libdb4.2-dev
+Standards-Version: 3.6.1
+
+Package: onak
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: apache | httpd
+Description: OpenPGP Key Server
+ onak is an OpenPGP compatible keyserver which supports multiple subkeys,
+ photo ids and path finding between keys. It can provide an HKP
+ compatible interface for use with the --keyserver option of gnupg as
+ well as including a command line tool for querying the key database.
--- /dev/null
+This package was debianized by Ross Burton <ross@debian.org> on
+Thu, 17 Jun 2004 11:59:00 +0100.
+
+It was downloaded from http://www.earth.li/projectpurple/progs/onak.html
+
+Upstream Author: Jonathan McDowell <noodles@earth.li>
+
+Copyright:
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; version 2 dated June, 1991.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+ 02111-1307, USA.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
--- /dev/null
+BUGS
+README
+TODO
+PERFORMANCE
+HISTORY
--- /dev/null
+mathopd.conf
--- /dev/null
+var/lib/onak
--- /dev/null
+onak.conf etc
+onak splitkeys usr/bin
+onak-mail.pl usr/lib/onak
+add lookup gpgwww usr/lib/cgi-bin/pks
--- /dev/null
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+
+ # Add the onak user
+ adduser --system --home /var/lib/onak --no-create-home --disabled-login onak
+
+ # Take ownership of the database directory
+ chown -R onak /var/lib/onak
+
+ # Make the CGI tools setuid onak
+ for i in /usr/lib/cgi-bin/pks/*
+ do
+ if ! dpkg-statoverride --list $i >/dev/null
+ then
+ dpkg-statoverride --update --add onak root 4755 $i
+ fi
+ done
+fi
--- /dev/null
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "purge" ]; then
+ if dpkg-statoverride --list /usr/lib/cgi-bin/pks/\* >/dev/null; then
+ dpkg-statoverride --remove
+ fi
+fi
--- /dev/null
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-backend=db4
+
+DEB_MAKE_INSTALL_TARGET :=
+
+# Woody doesn't like this of course
+#CFLAGS += -std=gnu99
--- /dev/null
+version=2
+http://www.earth.li/projectpurple/files/ onak-(.*).tar.gz debian uupdate